const BREAKPOINTS = Object.freeze({
  MS: 376,
  MM: 472,
  TS: 616,
  TM: 808,
  TL: 1000,
  DS: 1190,
  DM: 1144
});
const BREAKPOINTS_KEYS = Object.keys(BREAKPOINTS);
const BREAKPOINTS_MAX_MEDIA = Object.freeze(BREAKPOINTS_KEYS.reduce(function (result, name) {
  result[name] = `screen and (max-width: ${BREAKPOINTS[name]}px)`;
  return result;
}, {}));
const BREAKPOINTS_MIN_MEDIA = Object.freeze(BREAKPOINTS_KEYS.reduce(function (result, name) {
  result[name] = `screen and (min-width: ${BREAKPOINTS[name] + 1}px)`;
  return result;
}, {}));
export { BREAKPOINTS, BREAKPOINTS_KEYS, BREAKPOINTS_MAX_MEDIA, BREAKPOINTS_MIN_MEDIA };
